Subject: bug#20784: 25.0.50; pcase documentation on t and nil

From: Michael Heerdegen <[email-masked]>
Date: Fri, 12 Jun 2015 19:36:03 +0200

Stefan Monnier <[email-masked]> writes:

> How 'bout the following patch?
>
>    * lisp/emacs-lisp/pcase.el (pcase): Reword the SELFQUOTING case.
>    (pcase--split-pred, pcase--self-quoting-p): Restrict selfquoting
>    numbers to integers.
>    (pcase--u1): Deprecate t patterns.  Reject nil as an invalid pattern.

Thanks, that looks good to me.  Comments in my message above.

Michael.